Page MenuHomePhabricator

mediawiki.api.upload.test doesn't tear down spurious <iframe> in document root
Closed, ResolvedPublic

Description

These two elements are not being torn down, and also not part of qunit-fixture (in which case teardown would happen automatically). One of those two needs to happen.

<form class="mw-api-upload-form" action="/w/api.php" method="POST" target="uploadframe-0" enctype="multipart/form-data" style="display: none;">
 <input type="hidden" name="action" value="upload">
 <input type="hidden" name="format" value="json">
 <input name="file">
 <input type="hidden" name="filename" value="Testing API upload.jpg">
</form>
<iframe id="uploadframe-0" name="uploadframe-0" src="about:blank" style="display: none;"></iframe>

Event Timeline

Krinkle created this task.Jul 31 2015, 8:39 PM
Krinkle assigned this task to MarkTraceur.
Krinkle raised the priority of this task from to Needs Triage.
Krinkle updated the task description. (Show Details)
Krinkle added a subscriber: Krinkle.
Restricted Application added a project: Multimedia. · View Herald TranscriptJul 31 2015, 8:39 PM
Restricted Application added subscribers: Steinsplitter, Aklapper. · View Herald Transcript

Change 232393 had a related patch set uploaded (by Bartosz Dziewoński):
mediawiki.api.upload: Clean up the iframe and form when done

https://gerrit.wikimedia.org/r/232393

Restricted Application added a subscriber: Matanya. · View Herald TranscriptAug 18 2015, 9:10 PM

Change 232393 merged by jenkins-bot:
mediawiki.api.upload: Clean up the iframe and form when done

https://gerrit.wikimedia.org/r/232393

Jdforrester-WMF closed this task as Resolved.Aug 20 2015, 4:04 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.
Jdforrester-WMF triaged this task as Medium priority.Sep 15 2015, 3:20 PM
Jdforrester-WMF moved this task from Untriaged to Done on the Multimedia board.
Jdforrester-WMF set Security to None.